Aktuelle Zeit: Sa 24. Jun 2017, 03:49



Ein neues Thema erstellen Auf das Thema antworten  [ 25 Beiträge ]  Gehe zu Seite Vorherige  1, 2, 3  Nächste
 Transmission und znc bouncer 
Autor Nachricht
Foren-Mitglied
Foren-Mitglied

Registriert: Sa 18. Feb 2012, 13:36
Beiträge: 274


Bedankte sich: 11 mal
Erhielt: 13 Danksagungen in 10 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
das ist von
Code:
cat /etc/init.d/transmission.sh


Code:
#!/bin/sh

if [ -f /etc/nas_feature ] ; then
        . /etc/nas_feature
else
        echo "nas_feature is not found" >&2
        exit 1
fi

if [ "${SUPPORT_BITTORRENT}" != "on" ] ; then
        echo "Bittorrent is not supported on this model" >&2
        dpkg -r bittorrent
        exit 0
fi

umask 000
BT_MELCO_CONF=/etc/melco/transmission
BT_SETTINGS=settings.json
INITFILES_TGZ=/root/.files/initfile.tar.gz
FLEXGET_LOGLEVEL="warning"

# load DIR_BASE=/mnt/***/**** from bellow file.
# load bt_status={on|off} from bellow file.
[ -f ${BT_MELCO_CONF} ] && . ${BT_MELCO_CONF}
[ "${transmission_dir}" != "" ] && DIR_BASE=${transmission_dir}

# Bugfix
if [ $transmission_status = "on" ]; then
        transmission_status="latest"
fi

BT_DIR=/usr/local/transmission/latest/bin
BT_WEBUI=/usr/local/transmission/latest/share/transmission/web
if [ $transmission_status = "stable" ]; then
        BT_DIR=/usr/local/transmission/stable/bin
        BT_WEBUI=/usr/local/transmission/stable/share/transmission/web
fi
BT=${BT_DIR}/transmission-daemon
if [ $transmission_skin = "kettu" ]; then
        BT_WEBUI=/usr/local/transmission/kettu
fi
if [ $transmission_skin = "shift" ]; then
        BT_WEBUI=/usr/local/transmission/shift
fi
if [ $transmission_skin = "web-control" ]; then
        BT_WEBUI=/usr/local/transmission/web-control
fi


update_melconf()
{
        sed -i -e "s%^transmission_dir=.*%transmission_dir=${1}%g" ${BT_MELCO_CONF}
        if [ $? -ne 0 ] ; then
                echo "config file update failed!!!" >&2
                mv ${BT_MELCO_CONF}.tmp ${BT_MELCO_CONF}
                exit 1
        fi
}

configure()
{
        if [ "${DIR_BASE}" = "" ] ; then
                if [ "${SUPPORT_RAID}" = "on" ] ; then
                        [ ! -f /etc/melco/diskinfo ] && return 1
                        . /etc/melco/diskinfo

                        if [ "${array1}" != "off" -a "${array1}" != "" ] ; then
                                DIR_BASE=/mnt/array1/share
                        elif [ "${array2}" != "off" -a "${array2}" != "" ] ; then
                                DIR_BASE=/mnt/array2/share
                        elif [ "${disk1}" = "normal" ] ; then
                                DIR_BASE=/mnt/disk1/share
                        elif [ "${disk2}" = "normal" ] ; then
                                DIR_BASE=/mnt/disk2/share
                        elif [ "${disk3}" = "normal" ] ; then
                                DIR_BASE=/mnt/disk3/share
                        elif [ "${disk4}" = "normal" ] ; then
                                DIR_BASE=/mnt/disk4/share
                        else
                                return 1
                        fi
                else
                        DIR_BASE=/mnt/disk1/share/
                fi
                update_melconf ${DIR_BASE}
        fi

        if [ ! -d ${DIR_BASE} ] ; then
                init
                echo "transmission_dir($transmission_dir) is not exist!" >&2
                return 1
        fi

        echo "${DIR_BASE}" |grep "^/mnt/usbdisk" > /dev/null
        if [ $? -eq 0 ] ; then
                cat /proc/mounts |grep "${DIR_BASE}" > /dev/null
                if [ $? -ne 0 ] ; then
                        init
                        echo "transsmission_dir($transmission_dir) is not mount!" >&2
                        return 1
                fi
        fi

        if [ "x$transmission_createsubfolder" == "xoff" ]; then
                DIR_BT_ROOT=${DIR_BASE}
        else
                DIR_BT_ROOT=${DIR_BASE}/transmission
        fi
        DIR_ACTIVE=${DIR_BT_ROOT}/_active
        DIR_AUTOLOAD=${DIR_BT_ROOT}/_auto_load
        DIR_COMP=${DIR_BT_ROOT}
        DIR_CONFIG=${DIR_BT_ROOT}/_config
        DIR_LOG=${DIR_CONFIG}/_transmission_logs
        DIR_FLEXGET=${DIR_CONFIG}/_flexget

        [ ! -d ${DIR_BT_ROOT} ] && mkdir ${DIR_BT_ROOT} -p
        [ ! -d ${DIR_ACTIVE} ] && mkdir ${DIR_ACTIVE} -p
        [ ! -d ${DIR_AUTOLOAD} ] && mkdir ${DIR_AUTOLOAD} -p
        [ ! -d ${DIR_COMP} ] && mkdir ${DIR_COMP} -p
        [ ! -d ${DIR_CONFIG} ] && mkdir ${DIR_CONFIG} -p
        [ ! -d ${DIR_LOG} ] && mkdir ${DIR_LOG} -p
        [ ! -d ${DIR_FLEXGET} ] && mkdir ${DIR_FLEXGET} -p
        [ ! -f ${DIR_FLEXGET}/config.yml ] && cat << EOF > ${DIR_FLEXGET}/config.yml
tasks:
  example_task:
    rss: http://showrss.info/feeds/82.rss
    series:
      settings:
        seriesgroup:
          set:
            path: ${DIR_BT_ROOT}
      seriesgroup:
      - The Daily Show with Jon Stewart
    transmission: yes
EOF
        chmod 777 ${DIR_FLEXGET}/config.yml
        sed -n '/^timezone=/ s/timezone=//p' /etc/melco/info > /etc/timezone


        PARAM_INCOMPLETE="--incomplete-dir ${DIR_ACTIVE}"
        if [ "${transmission_incomplete}" != "on" ]; then
                PARAM_INCOMPLETE="--no-incomplete-dir"
        fi

        PARAM_AUTH="-T"
        if [ "${transmission_auth_req}" == "on" ]; then
                transmission_username=`echo "${transmission_username}" | sed 's/\W*//g'`
                transmission_password=`echo "${transmission_password}" | sed 's/\W*//g'`
                if [ -n "${transmission_username}" ]; then
                        if [ -n "${transmission_password}" ]; then
                                PARAM_AUTH="-t -u ${transmission_username} -v ${transmission_password}"
                        fi
                fi
        fi

        PARAM_LOG=""
        if [ "${transmission_debug}" = "on" ]; then
                PARAM_LOG="-e ${DIR_LOG}/transmission-debug.log --log-debug"
        fi

        PARAM_ALLOW="*"
        if [ -n "${transmission_allowed_connections}" ]; then
                PARAM_ALLOW=`echo "${transmission_allowed_connections}" | sed 's/[^,0-9\.\*]*//g'`
        fi

        export TRANSMISSION_WEB_HOME="$BT_WEBUI"

        test -z "$LC_ALL" && export LC_ALL=en_US.UTF-8
        test -z "$LANG" && export LANG="en_US.UTF-8"
        test -z "$LANGUAGE" && export LANGUAGE="en_US.UTF-8"
        return 0
}

IsFolderSettingChanged()
{
        if [ "${transmission_status}" = "latest" ]; then
                local BT_OTHER=`echo ${BT} | sed 's/latest/stable/'`
        else
                if [ "${transmission_status}" = "stable" ]; then
                        local BT_OTHER=`echo ${BT} | sed 's/stable/latest/'`
                else
                        return 1
                fi
        fi

        ps w|grep -v grep |grep ${BT_OTHER} > /dev/null
        if [ $? -eq 0 ]; then
                return 1
        fi

        return 0
}

WaitBtDie()
{
        local retry_max=5
        local retry_interval=1
        local BT_BASENAME="`basename ${BT}`"

        while [ ${retry_max} -gt 0 ]
        do
                ps w|grep -v grep |grep $BT_BASENAME > /dev/null
                if [ $? -ne 0 ] ; then
                        break
                fi

                logger -s -t transmission -p local0.info "ps : `ps w|grep -v grep|grep $BT_BASENAME`"
                killall $BT_BASENAME
                retry_max=$((${retry_max} - 1))
                sleep ${retry_interval}
        done
        logger -s -t transmission -p local0.info "WaitBtDie is finished. ${RETRY_MAX}"
}

StartBT()
{
        if [ "${transmission_status}" != "latest" ]; then
                if [ "${transmission_status}" != "stable" ]; then
                        echo "transmission is off" >&2
                        exit 0
                fi
        fi


        if ! configure; then
                exit 1
        fi

        # for redmine #28266
        if IsFolderSettingChanged ; then
                logger -s -t transmission -p local0.info "Folder setting is changed."

                WaitBtDie

                if ! configure; then
                        exit 1
                fi
        fi

        # fix bug #08783
        result=`find ${DIR_BT_ROOT} -maxdepth 0 ! -perm -222`
        if [ "${result}" != "" ] ; then
                chmod -R 777 ${DIR_BT_ROOT} > /dev/null 2>&1 &
        fi
        #Transmission bugfix: earlier versions had umask 222 which made it impossible to manage files from SMB
        if [ -n "`find ${DIR_BT_ROOT} -maxdepth 1 ! -perm -666`" ]; then
                chmod -R 777 ${DIR_BT_ROOT} > /dev/null 2>&1 &
        fi
        #echo "${BT} -a ${PARAM_ALLOW} -b -c ${DIR_AUTOLOAD} -g ${DIR_CONFIG} -w ${DIR_COMP} ${PARAM_INCOMPLETE} ${PARAM_AUTH} ${PARAM_LOG}" > /tmp/test
        if [ -f ${DIR_CONFIG}/${BT_SETTINGS} ]; then
                sed -i 's/^\(\s*"umask":\s\)[0-9][0-9]*\(,\s*\)$/\10\2/' ${DIR_CONFIG}/${BT_SETTINGS}
                sed -i 's/^\(\s*"message-level":\s\)[0-9][0-9]*\(,\s*\)$/\10\2/' ${DIR_CONFIG}/${BT_SETTINGS}
        else
                echo '{ "umask": 0, "message-level": 0 }' > ${DIR_CONFIG}/${BT_SETTINGS}
        fi
        (cd ${BT_DIR}/ && ${BT} -a "${PARAM_ALLOW}" -b -c ${DIR_AUTOLOAD} -g ${DIR_CONFIG} -w ${DIR_COMP} ${PARAM_INCOMPLETE} ${PARAM_AUTH} ${PARAM_LOG})
        sleep 1
        chmod -R 777 ${DIR_CONFIG} > /dev/null 2>&1

        if [ "x$transmission_flexget" == "xon" ]; then
                /usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL daemon start -d
                if [ $? -ne 0 ]; then
                        sed -i 's/^transmission_flexget=.*$/transmission_flexget=off/g' /etc/melco/transmission
                fi
        fi
}

StopBT()
{
        WaitBtDie

        configure

        if [ -n "`pidof flexget`" ]; then
                if [ "x$transmission_flexget" != "xon" ]; then
                        /usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL daemon stop
                        sleep 3
                        killall flexget 2> /dev/null
                else
                        if [ "x$transmission_status" == "xlatest" ]; then
                                /usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL daemon reload
                                if [ $? -ne 0 ]; then
                                        sed -i 's/^transmission_flexget=.*$/transmission_flexget=off/g' /etc/melco/transmission
                                fi
                        else
                                if [ "x$transmission_status" == "xstable" ]; then
                                        /usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL daemon reload
                                        if [ $? -ne 0 ]; then
                                                sed -i 's/^transmission_flexget=.*$/transmission_flexget=off/g' /etc/melco/transmission
                                        fi
                                else
                                        /usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL daemon stop
                                        sleep 3
                                        killall flexget 2> /dev/null
                                fi
                        fi
                fi
        fi
}

ReloadFlexGet()
{
        configure
        if [ "x$transmission_flexget" != "xon" ]; then
                sed -i 's/^transmission_flexget=.*$/transmission_flexget=on/g' /etc/melco/transmission
                test -z "`grep transmission_flexget /etc/melco/transmission`" && echo "transmission_flexget=on" >> /etc/melco/transmission
        fi
        if [ -n "`pidof flexget`" ]; then
                RELOADOUTPUT="`/usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL daemon reload | grep ERROR`"
                RES=0
                test -n "$RELOADOUTPUT" && RES=1 && (/usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL daemon stop; sleep 3; killall flexget 2> /dev/null)
        else
                /usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL daemon start -d
                RES=$?
        fi
        if [ $RES -ne 0 ]; then
                sed -i 's/^transmission_flexget=.*$/transmission_flexget=off/g' /etc/melco/transmission
                echo "FlexGet reload failed."
        fi
}

FlexGetVersion()
{
        /usr/local/flexget/bin/flexget -V | head -1
}

FlexGetExecute()
{
        configure
        /usr/local/flexget/bin/flexget -c $DIR_FLEXGET/config.yml -l $DIR_FLEXGET/flexget.log -L $FLEXGET_LOGLEVEL execute
}

FlexGetCheckUpdate()
{
        RES="`/usr/local/flexget/bin/flexget -V`"
        if [ $? -ne 0 ]; then
                echo "Error querying version"
                return
        fi
        if [ -n "`echo "$RES" | grep 'You are on the latest release.'`" ]; then
                return
        fi
        echo "$RES" | sed -n '/^Latest release:/ s/^Latest release: //p'
}

FlexGetUpdate()
{
        configure
        if [ ! -d "$DIR_BASE" ]; then
                echo "FlexGet update requires more /tmp disk space than what is usually available on a Linkstation."
                echo "Please mount a disk to /tmp using 'mount --bind' and use updateflexget-force to ignore this."
                echo "Exiting..."
                return
        fi
        if [ ! -d "$DIR_BASE/tmp" ]; then
                mkdir "$DIR_BASE/tmp"
                YESREMOVETMP="yes"
        fi
        mount --bind "$DIR_BASE/tmp" /tmp
        /usr/local/flexget/bin/pip install flexget --upgrade
        umount /tmp
        if [ -n "$YESREMOVE" ]; then
                rm -rf "$DIR_BASE/tmp"
        fi
}

init()
{
        rm -f ${DIR_CONFIG}/${BT_SETTINGS}
        tar zxf ${INITFILES_TGZ} -C / ${BT_MELCO_CONF#/}
}

case $1 in
start)
        StartBT
        ;;
stop)
        StopBT
        ;;
restart)
        StopBT
        sleep 1
        StartBT
        ;;
reload)
        ReloadFlexGet
        ;;
reloadflexget)
        ReloadFlexGet
        ;;
version)
        FlexGetVersion
        ;;
versionflexget)
        FlexGetVersion
        ;;
checkupdate)
        FlexGetCheckUpdate
        ;;
checkupdateflexget)
        FlexGetCheckUpdate
        ;;
update)
        FlexGetUpdate
        ;;
updateflexget)
        FlexGetUpdate
        ;;
execute)
        FlexGetExecute
        ;;
executeflexget)
        FlexGetExecute
        ;;
init)
        StopBT
        init
        StartBT
        ;;
esac

exit 0


und das ist von

Code:
ls -l /etc/rc.d/extensions.d/


Code:
lrwxrwxrwx 1 root root 22 Feb  4  2016 K40_twonky.sh -> ../../init.d/twonky.sh
lrwxrwxrwx 1 root root 30 Feb  4  2016 K40_webaxs.sh -> /usr/local/webaxs/sbin/init.sh
lrwxrwxrwx 1 root root 26 Feb  4  2016 K60_bittorrent.sh -> ../../init.d/bittorrent.sh
lrwxrwxrwx 1 root root 22 Feb  4  2016 K60_eyefid.sh -> ../../init.d/eyefid.sh
lrwxrwxrwx 1 root root 24 Feb  4  2016 K60_flickrfs.sh -> ../../init.d/flickrfs.sh
lrwxrwxrwx 1 root root 24 Feb  4  2016 K60_lighttpd.sh -> ../../init.d/lighttpd.sh
lrwxrwxrwx 1 root root 22 Feb  4  2016 K60_mtdaapd.sh -> ../../init.d/itunes.sh
lrwxrwxrwx 1 root root 21 Feb  4  2016 K60_mysql.sh -> ../../init.d/mysql.sh
lrwxrwxrwx 1 root root 20 Feb  4  2016 K60_plexd.sh -> ../../init.d/plex.sh
lrwxrwxrwx 1 root root 23 Feb  4  2016 K60_squeeze.sh -> ../../init.d/squeeze.sh
lrwxrwxrwx 1 root root 20 Feb  4  2016 K60_sshd.sh -> ../../init.d/sshd.sh
lrwxrwxrwx 1 root root 28 Feb  4  2016 K60_transmission.sh -> ../../init.d/transmission.sh
lrwxrwxrwx 1 root root 20 Feb  4  2016 K60_wafs.sh -> ../../init.d/wafs.sh
lrwxrwxrwx 1 root root 25 Feb  4  2016 K61_foolwatch.sh -> ../../init.d/foolwatch.sh
lrwxrwxrwx 1 root root 20 Feb  4  2016 S38_demo.sh -> ../../init.d/demo.sh
lrwxrwxrwx 1 root root 25 Feb  4  2016 S39_foolwatch.sh -> ../../init.d/foolwatch.sh
lrwxrwxrwx 1 root root 22 Feb  4  2016 S40B_twonky.sh -> ../../init.d/twonky.sh
lrwxrwxrwx 1 root root 36 Feb  4  2016 S40B_update_notifications.sh -> ../../init.d/update_notifications.sh
lrwxrwxrwx 1 root root 26 Feb  4  2016 S40_bittorrent.sh -> ../../init.d/bittorrent.sh
lrwxrwxrwx 1 root root 22 Feb  4  2016 S40_eyefid.sh -> ../../init.d/eyefid.sh
lrwxrwxrwx 1 root root 24 Feb  4  2016 S40_flickrfs.sh -> ../../init.d/flickrfs.sh
lrwxrwxrwx 1 root root 24 Feb  4  2016 S40_lighttpd.sh -> ../../init.d/lighttpd.sh
lrwxrwxrwx 1 root root 22 Feb  4  2016 S40_mtdaapd.sh -> ../../init.d/itunes.sh
lrwxrwxrwx 1 root root 21 Feb  4  2016 S40_mysql.sh -> ../../init.d/mysql.sh
lrwxrwxrwx 1 root root 20 Feb  4  2016 S40_plexd.sh -> ../../init.d/plex.sh
lrwxrwxrwx 1 root root 23 Feb  4  2016 S40_squeeze.sh -> ../../init.d/squeeze.sh
lrwxrwxrwx 1 root root 20 Feb  4  2016 S40_sshd.sh -> ../../init.d/sshd.sh
lrwxrwxrwx 1 root root 28 Feb  4  2016 S40_transmission.sh -> ../../init.d/transmission.sh
lrwxrwxrwx 1 root root 20 Feb  4  2016 S40_wafs.sh -> ../../init.d/wafs.sh
lrwxrwxrwx 1 root root 30 Feb  4  2016 S40_webaxs.sh -> /usr/local/webaxs/sbin/init.sh


und znc habe ich jetzt selbst heraus gefunden wie man das startet wieder:

Code:
su Benutzer
znc


und dann hat er gestartet


Fr 6. Jan 2017, 10:33
Profil
Dieser Werbeblock wird nur bei Gästen angezeigt
Globaler Moderator

Registriert: Mo 5. Apr 2010, 23:32
Beiträge: 6181
Bilder: 333

Bedankte sich: 173 mal
Erhielt: 796 Danksagungen in 736 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
Dein Script für Transmission ist völlig i.O.
Evtl. ist Transmission einfach nur deaktiviert.
Egal, was im Webinterface steht, schalte ihn dort aus, warte eine Sekunde, schalte ohn neu ein.
Nun starte dein NAS neu.

Läuft er danch noch?


Fr 6. Jan 2017, 12:11
Profil Persönliches Album 
Foren-Mitglied
Foren-Mitglied

Registriert: Sa 18. Feb 2012, 13:36
Beiträge: 274


Bedankte sich: 11 mal
Erhielt: 13 Danksagungen in 10 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
also er läuft dann nach einem reboot, und was ist nun mit znc ?


So 8. Jan 2017, 11:23
Profil
Globaler Moderator

Registriert: Mo 5. Apr 2010, 23:32
Beiträge: 6181
Bilder: 333

Bedankte sich: 173 mal
Erhielt: 796 Danksagungen in 736 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
Du hast die Anleitung, wie man Zusatzprogramme starten lässt.

Hier nochmals der Link:
http://forum.nas-hilfe.de/buffalo-technology-nas-anleitungen/eigene-scripte-automatisch-mit-dem-nas-starten-und-auch-sauber-beim-herunterfahren-beenden-t2645.html

Solltest du die Zeit finden, das zu lesen, bin ich gerne bereit, Fragen zu beantworten.


So 8. Jan 2017, 12:40
Profil Persönliches Album 
Globaler Moderator

Registriert: Mo 5. Apr 2010, 23:32
Beiträge: 6181
Bilder: 333

Bedankte sich: 173 mal
Erhielt: 796 Danksagungen in 736 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
Nach welcher Anleitung hast du znc installiert?


Auf den Linkstations läuft Debian.
Also könntest du hier unter Debian Hilfe finden:
http://wiki.znc.in/Running_ZNC_as_a_system_daemon


So 8. Jan 2017, 12:41
Profil Persönliches Album 
Foren-Mitglied
Foren-Mitglied

Registriert: Sa 18. Feb 2012, 13:36
Beiträge: 274


Bedankte sich: 11 mal
Erhielt: 13 Danksagungen in 10 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
oxygen8 hat geschrieben:
Nach welcher Anleitung hast du znc installiert?


Auf den Linkstations läuft Debian.
Also könntest du hier unter Debian Hilfe finden:
http://wiki.znc.in/Running_ZNC_as_a_system_daemon


hmm weiß ich gar nicht mehr ich denke über ipkg


Do 19. Jan 2017, 20:51
Profil
Foren-Mitglied
Foren-Mitglied

Registriert: Sa 18. Feb 2012, 13:36
Beiträge: 274


Bedankte sich: 11 mal
Erhielt: 13 Danksagungen in 10 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
also da ja das nicht so klappt mit der neusten version von znc, habe mich wieder dazu entschloßen znc mit

Code:
ipkg install znc


zu installieren.

natürlich musste ich erst einen User mit useradd znc und eine gruppe znc mit groupadd, das hat auch gekalppt nur noch den User znc zur gruppe hinzufügen mit

Code:
usermod -aG znc znc


das hat auch gekalppt.

mit su znc auf den beutzer znc gewechselt, und dann znc -c konfiguriert.

alles eingerichtet und er lieft.

den Reboot getetest, nach einem reboot läuft der znc nicht mehr, das script liegt unter /opt/etc/init.d/S91znc

ich kann den znc nur starten wenn ich

Code:
su znc und dann znc


dann läuft er. Wie bekomme ich das hin das er auch nach einem reboot automatisch startet? Aus deiner Anleitung bin ich nicht ganz schlau geworden, da kein Kill script vorhanden ist.

Vllt kannst du es mir hier genauer beschreiben thx


Mo 17. Apr 2017, 13:29
Profil
Globaler Moderator

Registriert: Mo 5. Apr 2010, 23:32
Beiträge: 6181
Bilder: 333

Bedankte sich: 173 mal
Erhielt: 796 Danksagungen in 736 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
poste mal die Ausgaben von

Code:
ls -l /opt/etc/init.d/S91_znc


und

Code:
cat /opt/etc/init.d/S91_znc


Mo 17. Apr 2017, 13:40
Profil Persönliches Album 
Foren-Mitglied
Foren-Mitglied

Registriert: Sa 18. Feb 2012, 13:36
Beiträge: 274


Bedankte sich: 11 mal
Erhielt: 13 Danksagungen in 10 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
Code:
ls: cannot access /opt/etc/init.d/S91_znc: No such file or directory


Code:
cat: /opt/etc/init.d/S91_znc: No such file or directory


hmm komisch

Code:
root@Nas:/usr/local/transmission/stable/bin# ls -l /opt/etc/init.d/S91znc
-rwxr-xr-x 1 root root 307 Mar 23  2012 /opt/etc/init.d/S91znc
root@Nas:/usr/local/transmission/stable/bin# cat /opt/etc/init.d/S91znc
#!/bin/sh
#
# Startup script for znc as standalone server
#

. /opt/etc/default/znc

if [ ! -x /opt/bin/su -a ! -x /bin/su ]; then
    echo "su not found.";
    exit 2;
fi

if [ -n "`/opt/bin/pidof znc`" ]; then
    /opt/bin/killall znc 2>/dev/null
fi

su - -c "/opt/bin/znc -d ${ZNC_DATADIR}" ${ZNC_USER}



das _ zuviel zwischen S91znc


Mo 17. Apr 2017, 14:01
Profil
Globaler Moderator

Registriert: Mo 5. Apr 2010, 23:32
Beiträge: 6181
Bilder: 333

Bedankte sich: 173 mal
Erhielt: 796 Danksagungen in 736 Beiträgen

Bedanke dich für den Beitrag 
Beitrag Re: Transmission und znc bouncer
Ich sehe so direkt keinen Fehler.

Bufallo ignoriert alle Scripte ohne den Unterstrich, außer Optware. Hier sollte der fehlende Strich nicht stören.
Versuche es aber mal mit.

So sehen meine Dateien aus:

root@DUO:~# ls -l /etc/rc.d/extensions.d/
-rwxr-xr-x 1 root root 37 Nov 1 22:52 K05_transmission.sh*
-rwxrwxrwx 1 root root 191 Nov 3 07:25 S95_transmission.sh*


Mo 17. Apr 2017, 15:49
Profil Persönliches Album 
Beiträge der letzten Zeit anzeigen:  Sortiere nach  

Ein neues Thema erstellen Auf das Thema antworten  [ 25 Beiträge ]  Gehe zu Seite Vorherige  1, 2, 3  Nächste





Suche nach:

Ähnliche Beiträge

ZNC bouncer
Forum: Buffalo Linkstation Duo
Autor: TMTYD
Antworten: 8
Transmission
Forum: Buffalo Linkstation Duo
Autor: TMTYD
Antworten: 4
[IPKG] Transmission down?
Forum: Buffalo Linkstation Pro/Live mit BitTorrent
Autor: Da_Looser
Antworten: 1
Openpogo - Transmission 1.92
Forum: Seagate Freeagent Dockstar
Autor: oxygen8
Antworten: 0
Fragen zu Transmission
Forum: Buffalo Linkstation Duo
Autor: bmw12345
Antworten: 35

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 8 Gäste


Deine Berechtigungen

 Du darfst keine neuen Themen in diesem Forum erstellen.
 Du darfst keine Antworten zu Themen in diesem Forum erstellen.
 Du darfst deine Beiträge in diesem Forum nicht ändern.
 Du darfst deine Beiträge in diesem Forum nicht löschen.
 Du darfst keine Dateianhänge in diesem Forum erstellen.

Gehe zu:  


| NAS-Hilfe.de - die deutsche Buffalo NAS-Hilfe Seite | Mein Blog - Bloggen Querbeet... | Powered by phpBB © phpBB Group. | Deutsche Übersetzung durch phpBB.de | Impressum |